/*
============
= FONTFACE =
============
*/

/* Register  Google Fonts here */
/* cyrillic-ext */
@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCm3FwrK3iLTcvnUwkT9nA2.woff2) format("woff2");
    unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}
/* cyrillic */
@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCm3FwrK3iLTcvnUwAT9nA2.woff2) format("woff2");
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
/* greek-ext */
@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCm3FwrK3iLTcvnUwgT9nA2.woff2) format("woff2");
    unicode-range: U+1F00-1FFF;
}
/* greek */
@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCm3FwrK3iLTcvnUwcT9nA2.woff2) format("woff2");
    unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;
}
/* vietnamese */
@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCm3FwrK3iLTcvnUwsT9nA2.woff2) format("woff2");
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329,
        U+1EA0-1EF9, U+20AB;
}
/* latin-ext */
@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCm3FwrK3iLTcvnUwoT9nA2.woff2) format("woff2");
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020,
        U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCm3FwrK3iLTcvnUwQT9g.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193,
        U+2212, U+2215, U+FEFF, U+FFFD;
}
/* cyrillic-ext */
@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCo3FwrK3iLTcvvYwYL8g.woff2) format("woff2");
    unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}
/* cyrillic */
@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCo3FwrK3iLTcvmYwYL8g.woff2) format("woff2");
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
/* greek-ext */
@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCo3FwrK3iLTcvuYwYL8g.woff2) format("woff2");
    unicode-range: U+1F00-1FFF;
}
/* greek */
@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCo3FwrK3iLTcvhYwYL8g.woff2) format("woff2");
    unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;
}
/* vietnamese */
@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCo3FwrK3iLTcvtYwYL8g.woff2) format("woff2");
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329,
        U+1EA0-1EF9, U+20AB;
}
/* latin-ext */
@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCo3FwrK3iLTcvsYwYL8g.woff2) format("woff2");
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020,
        U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(../../fonts/inter/v19/UcCo3FwrK3iLTcviYwY.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193,
        U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: "Libre Baskerville";
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url(../../fonts/librebaskerville/v16/kmKhZrc3Hgbbcjq75U4uslyuy4kn0qNcWx8QDP2V.woff2) format("woff2");
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020,
        U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: "Libre Baskerville";
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url(../../fonts/librebaskerville/v16/kmKhZrc3Hgbbcjq75U4uslyuy4kn0qNcWxEQDA.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193,
        U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: "Libre Baskerville";
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(../../fonts/librebaskerville/v16/kmKnZrc3Hgbbcjq75U4uslyuy4kn0qNXaxMICA.woff2) format("woff2");
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020,
        U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: "Libre Baskerville";
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(../../fonts/librebaskerville/v16/kmKnZrc3Hgbbcjq75U4uslyuy4kn0qNZaxM.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193,
        U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
    font-family: "Libre Baskerville";
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(../../fonts/librebaskerville/v16/kmKiZrc3Hgbbcjq75U4uslyuy4kn0qviTgY5KcCsww.woff2) format("woff2");
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020,
        U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: "Libre Baskerville";
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(../../fonts/librebaskerville/v16/kmKiZrc3Hgbbcjq75U4uslyuy4kn0qviTgY3KcA.woff2) format("woff2");
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193,
        U+2212, U+2215, U+FEFF, U+FFFD;
}

/*
=============
= VARIABLES =
=============
*/
:root {
    --rootfactor: 17; /*html / body Font Size in px, but without px*/
    --rootsize: var(--rootfactor) * 1rem; /* use Font size and divide by this: font-size: calc(16 / var(--rootsize)); */
}

@media screen and (min-width: 1380px) {
    :root {
        --rootfactor: 21;
        --rootsize: var(--rootfactor) * 1rem;
    }
}

:root {
    /* Font Settings */
    --sans: "Inter", Helvetica, Arial, sans-serif;
    --serif: "Libre Baskerville", Georgia, serif;

    --thin: 100;
    --extralight: 200;
    --light: 300;
    --regular: 400;
    --medium: 500;
    --semibold: 600;
    --bold: 700;
    --extrabold: 800;

    /* Define Colors */
    --black: #000;
    --white: #fff;
    --bg-light: #f7f7f5;
    --blue: #093658;
    --blue-dark: #0f283a;
    --gold: #f0cf9a;
    --gold-dark: #876c44;

    /* Grid Settings (for dev-grid and automatic frame-width) */
    --grid-col: 104px; /* Column width */
    --grid-gap: 12px; /* Gap size */
    --grid-col-count: 12;
    --grid-width: calc((var(--grid-col) + var(--grid-gap)) * var(--grid-col-count) - var(--grid-gap)); /* Total width (column + gap) */

    --w1: calc((var(--grid-col) + var(--grid-gap)));
    --w2: calc((var(--grid-col) + var(--grid-gap)) * 2 - var(--grid-gap));
    --w3: calc((var(--grid-col) + var(--grid-gap)) * 3 - var(--grid-gap));
    --w4: calc((var(--grid-col) + var(--grid-gap)) * 4 - var(--grid-gap));
    --w5: calc((var(--grid-col) + var(--grid-gap)) * 5 - var(--grid-gap));
    --w6: calc((var(--grid-col) + var(--grid-gap)) * 6 - var(--grid-gap));
    --w7: calc((var(--grid-col) + var(--grid-gap)) * 7 - var(--grid-gap));
    --w8: calc((var(--grid-col) + var(--grid-gap)) * 8 - var(--grid-gap));
    --w9: calc((var(--grid-col) + var(--grid-gap)) * 9 - var(--grid-gap));
    --w10: calc((var(--grid-col) + var(--grid-gap)) * 10 - var(--grid-gap));
    --w11: calc((var(--grid-col) + var(--grid-gap)) * 11 - var(--grid-gap));
    --w12: calc((var(--grid-col) + var(--grid-gap)) * 12 - var(--grid-gap));
    --w13: calc((var(--grid-col) + var(--grid-gap)) * 13 - var(--grid-gap));
    --w14: calc((var(--grid-col) + var(--grid-gap)) * 14 - var(--grid-gap));
    --w15: calc((var(--grid-col) + var(--grid-gap)) * 15 - var(--grid-gap));
    --w16: calc((var(--grid-col) + var(--grid-gap)) * 16 - var(--grid-gap));
    --w17: calc((var(--grid-col) + var(--grid-gap)) * 17 - var(--grid-gap));
    --w18: calc((var(--grid-col) + var(--grid-gap)) * 18 - var(--grid-gap));
    --w19: calc((var(--grid-col) + var(--grid-gap)) * 19 - var(--grid-gap));
    --w20: calc((var(--grid-col) + var(--grid-gap)) * 20 - var(--grid-gap));
    --w21: calc((var(--grid-col) + var(--grid-gap)) * 21 - var(--grid-gap));
    --w22: calc((var(--grid-col) + var(--grid-gap)) * 22 - var(--grid-gap));
    --w23: calc((var(--grid-col) + var(--grid-gap)) * 23 - var(--grid-gap));
    --w24: calc((var(--grid-col) + var(--grid-gap)) * 24 - var(--grid-gap));
}
@media screen and (min-width: 768px) {
    :root {
        --grid-gap: 16px; /* Gap size */
    }
}
@media screen and (min-width: 1380px) {
    :root {
        --grid-gap: 12px; /* Gap size */
    }
}
